Subject: Re: cherry-pick applies some other changes than the specified one?

From: Jonathan Nieder <[email-masked]>
Date: Mon, 21 Mar 2011 14:58:46 -0500

Piotr Krukowiecki wrote:

> I think I even suspected this might have something to do with the merge
> conflict and tried to make git-diff show me exact change between working
> tree and index/HEAD (ignoring the merge), so I can verify the file indeed
> only have the change I did, but I could not find such option.
> Does it exists? 

Sure.  The index contains multiple competing versions, which you can
see with "git ls-files -u".  To compare the working tree and one of
those use "git diff --base / --ours / --theirs" (or -1 / -2 / -3).

To view changes relative to a particular commit, use "git diff <commit>".
For example, "git diff HEAD".  The git-diff(1) manpage (shown by
"git diff --help") explains.

Hope that helps,
Jonathan